Problems building protégé

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Problems building protégé

Jos Lehmann-2

Hi protege-dev,

 

I would like to build protégé in eclipse as described in:

 

https://github.com/protegeproject/protege/wiki/Setup-in-Eclipse

 

But I get stuck right at the start, i.e. when doing:

 

mvn clean package

 

Below the errors I get. I am not sure how to read these messages.

Please also note that I have installed protégé, maven and eclipse all under my home directory, while java is of course in C:\Program Files\Java\jdk1.8.0_92\

 

 

 

C:\Users\jos.lehmann\protege>mvn clean package

[INFO] Scanning for projects...

Downloading: https://repo.maven.apache.org/maven2/org/apache/felix/maven-bundle-

plugin/2.4.0/maven-bundle-plugin-2.4.0.pom

[ERROR] [ERROR] Some problems were encountered while processing the POMs:

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unknown

-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, column

13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core:[un

known-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, line 1

4, column 13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line 14,

column 16

@

[ERROR] The build could not read 3 projects -> [Help 1]

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-common:5.0.1-SNAPSHOT (C:\Use

rs\jos.lehmann\protege\protege-common\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, col

umn 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-core:5.0.1-SNAPSHOT (C

:\Users\jos.lehmann\protege\protege-editor-core\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core

:[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, li

ne 14, column 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-owl:5.0.1-SNAPSHOT (C:

\Users\jos.lehmann\protege\protege-editor-owl\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:

[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line

14, column 16

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit

ch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please rea

d the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildin

gException

[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/PluginManagerE

xception

 

C:\Users\jos.lehmann\protege>

 

 

 

Thank you in advance for the feedback.

 

Kind regards,

 

Jos Lehmann

 

 

Jos Lehmann

Knowledge Management

 

Bauhaus Luftfahrt e.V.

GERMANY

 

Web:    www.bauhaus-luftfahrt.net

 

Beschreibung: Beschreibung: Beschreibung: Beschreibung: cid:image006.png@01D02F14.A6ACFAB0

 

Confidential & Privileged

THIS MESSAGE IS INTENDED ONLY FOR THE USE OF THE INDIVIDUAL OR ENTITY TO WHICH IT IS ADDRESSED AND MAY CONTAIN INFORMATION THAT IS PRIVILEGED, CONFIDENTIAL AND EXEMPT FROM DISCLOSURE UNDER APPLICABLE LAW. IF YOU ARE NOT THE INTENDED RECIPIENT OR THE EMPLOYEE OR AGENT RESPONSIBLE FOR DELIVERING THE MESSAGE TO THE INTENDED RECIPIENT, YOU ARE HEREBY NOTIFIED THAT ANY DISSEMINATION, DISTRIBUTION, OR COPYING OF THIS COMMUNICATION IS STRICTLY PROHIBITED. IF YOU HAVE RECEIVED THIS COMMUNICATION IN ERROR, PLEASE NOTIFY US IMMEDIATELY BY RETURNING THIS MESSAGE TO US AT THE ABOVE ADDRESS, AFTER WHICH THE ORIGINAL SHOULD BE REMOVED FROM YOUR SYSTEM AND ANY COPIES DESTROYED. THANK YOU.

 

 


_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev
Reply | Threaded
Open this post in threaded view
|

Re: Problems building protégé

Rafael Gonçalves
Hi Jos,

What version of Maven do you have installed? You should have v3.1 or above.

Cheers,
Rafael

On Aug 24, 2016, at 01:00, Jos Lehmann <[hidden email]> wrote:

Hi protege-dev,
 
I would like to build protégé in eclipse as described in:
 
 
But I get stuck right at the start, i.e. when doing:
 
mvn clean package
 
Below the errors I get. I am not sure how to read these messages.
Please also note that I have installed protégé, maven and eclipse all under my home directory, while java is of course in C:\Program Files\Java\jdk1.8.0_92\
 
 
 
C:\Users\jos.lehmann\protege>mvn clean package
[INFO] Scanning for projects...
plugin/2.4.0/maven-bundle-plugin-2.4.0.pom
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug
in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa
ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @
[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unknown
-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, column
13
[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug
in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa
ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @
[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core:[un
known-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, line 1
4, column 13
[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug
in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa
ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @
[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:[unk
nown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line 14,
column 16
@
[ERROR] The build could not read 3 projects -> [Help 1]
[ERROR]
[ERROR]   The project edu.stanford.protege:protege-common:5.0.1-SNAPSHOT (C:\Use
rs\jos.lehmann\protege\protege-common\pom.xml) has 2 errors
[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-
plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar
tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not
transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central
(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti
on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder
Exception: unable to find valid certification path to requested target -> [Help
2]
[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unk
nown-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, col
umn 13
[ERROR]
[ERROR]   The project edu.stanford.protege:protege-editor-core:5.0.1-SNAPSHOT (C
:\Users\jos.lehmann\protege\protege-editor-core\pom.xml) has 2 errors
[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-
plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar
tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not
transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central
(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti
on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder
Exception: unable to find valid certification path to requested target -> [Help
2]
[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core
:[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, li
ne 14, column 13
[ERROR]
[ERROR]   The project edu.stanford.protege:protege-editor-owl:5.0.1-SNAPSHOT (C:
\Users\jos.lehmann\protege\protege-editor-owl\pom.xml) has 2 errors
[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-
plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar
tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not
transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central
(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti
on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder
Exception: unable to find valid certification path to requested target -> [Help
2]
[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:
[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line
14, column 16
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit
ch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please rea
d the following articles:
gException
xception
 
C:\Users\jos.lehmann\protege>
 
 
 
Thank you in advance for the feedback.
 
Kind regards,
 
Jos Lehmann
 
 
Jos Lehmann
Knowledge Management
 
Bauhaus Luftfahrt e.V.
GERMANY
 
 
<image001.png>
 
Confidential & Privileged
THIS MESSAGE IS INTENDED ONLY FOR THE USE OF THE INDIVIDUAL OR ENTITY TO WHICH IT IS ADDRESSED AND MAY CONTAIN INFORMATION THAT IS PRIVILEGED, CONFIDENTIAL AND EXEMPT FROM DISCLOSURE UNDER APPLICABLE LAW. IF YOU ARE NOT THE INTENDED RECIPIENT OR THE EMPLOYEE OR AGENT RESPONSIBLE FOR DELIVERING THE MESSAGE TO THE INTENDED RECIPIENT, YOU ARE HEREBY NOTIFIED THAT ANY DISSEMINATION, DISTRIBUTION, OR COPYING OF THIS COMMUNICATION IS STRICTLY PROHIBITED. IF YOU HAVE RECEIVED THIS COMMUNICATION IN ERROR, PLEASE NOTIFY US IMMEDIATELY BY RETURNING THIS MESSAGE TO US AT THE ABOVE ADDRESS, AFTER WHICH THE ORIGINAL SHOULD BE REMOVED FROM YOUR SYSTEM AND ANY COPIES DESTROYED. THANK YOU.
 
 
_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev


_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev
Reply | Threaded
Open this post in threaded view
|

Re: Problems building protégé

Josef Hardi
In reply to this post by Jos Lehmann-2
Hi Jos,


tl;dr Your JDK doesn’t recognize the SSL certificate used by the Maven HTTPS repository (https://repo.maven.apache.org/maven2/).
There are 2 solutions in the discussion thread: (1) use the HTTP repo version or (2) download and use Maven SSL certificate when
executing mvn clean package.

Best,
Josef


On Aug 24, 2016, at 1:00 AM, Jos Lehmann <[hidden email]> wrote:

Hi protege-dev,
 
I would like to build protégé in eclipse as described in:
 
 
But I get stuck right at the start, i.e. when doing:
 
mvn clean package
 
Below the errors I get. I am not sure how to read these messages.
Please also note that I have installed protégé, maven and eclipse all under my home directory, while java is of course in C:\Program Files\Java\jdk1.8.0_92\
 
 
 
C:\Users\jos.lehmann\protege>mvn clean package
[INFO] Scanning for projects...
plugin/2.4.0/maven-bundle-plugin-2.4.0.pom
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug
in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa
ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @
[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unknown
-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, column
13
[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug
in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa
ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @
[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core:[un
known-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, line 1
4, column 13
[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug
in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa
ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @
[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:[unk
nown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line 14,
column 16
@
[ERROR] The build could not read 3 projects -> [Help 1]
[ERROR]
[ERROR]   The project edu.stanford.protege:protege-common:5.0.1-SNAPSHOT (C:\Use
rs\jos.lehmann\protege\protege-common\pom.xml) has 2 errors
[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-
plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar
tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not
transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central
(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti
on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder
Exception: unable to find valid certification path to requested target -> [Help
2]
[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unk
nown-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, col
umn 13
[ERROR]
[ERROR]   The project edu.stanford.protege:protege-editor-core:5.0.1-SNAPSHOT (C
:\Users\jos.lehmann\protege\protege-editor-core\pom.xml) has 2 errors
[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-
plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar
tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not
transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central
(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti
on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder
Exception: unable to find valid certification path to requested target -> [Help
2]
[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core
:[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, li
ne 14, column 13
[ERROR]
[ERROR]   The project edu.stanford.protege:protege-editor-owl:5.0.1-SNAPSHOT (C:
\Users\jos.lehmann\protege\protege-editor-owl\pom.xml) has 2 errors
[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-
plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar
tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not
transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central
(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti
on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder
Exception: unable to find valid certification path to requested target -> [Help
2]
[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:
[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line
14, column 16
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit
ch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please rea
d the following articles:
gException
xception
 
C:\Users\jos.lehmann\protege>
 
 
 
Thank you in advance for the feedback.
 
Kind regards,
 
Jos Lehmann
 
 
Jos Lehmann
Knowledge Management
 
Bauhaus Luftfahrt e.V.
GERMANY
 
 
<image001.png>
 
Confidential & Privileged
THIS MESSAGE IS INTENDED ONLY FOR THE USE OF THE INDIVIDUAL OR ENTITY TO WHICH IT IS ADDRESSED AND MAY CONTAIN INFORMATION THAT IS PRIVILEGED, CONFIDENTIAL AND EXEMPT FROM DISCLOSURE UNDER APPLICABLE LAW. IF YOU ARE NOT THE INTENDED RECIPIENT OR THE EMPLOYEE OR AGENT RESPONSIBLE FOR DELIVERING THE MESSAGE TO THE INTENDED RECIPIENT, YOU ARE HEREBY NOTIFIED THAT ANY DISSEMINATION, DISTRIBUTION, OR COPYING OF THIS COMMUNICATION IS STRICTLY PROHIBITED. IF YOU HAVE RECEIVED THIS COMMUNICATION IN ERROR, PLEASE NOTIFY US IMMEDIATELY BY RETURNING THIS MESSAGE TO US AT THE ABOVE ADDRESS, AFTER WHICH THE ORIGINAL SHOULD BE REMOVED FROM YOUR SYSTEM AND ANY COPIES DESTROYED. THANK YOU.
 
 
_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev


_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev
Reply | Threaded
Open this post in threaded view
|

Re: Problems building protégé

Tzatzarov, Mintcho (ext)
In reply to this post by Jos Lehmann-2

Hi Jos,

It seems to me that you are working through proxy, also you may try with a newer version of Maven. I have created a tutorial on my own, it is a bit unprofessional but I gave it to several people and they were able to get the things work following it. You may try it, I’m attaching it with this email.

 

From: protege-dev [mailto:[hidden email]] On Behalf Of Jos Lehmann
Sent: Mittwoch, 24. August 2016 10:01
To: [hidden email]
Subject: [protege-dev] Problems building protégé

 

Hi protege-dev,

 

I would like to build protégé in eclipse as described in:

 

https://github.com/protegeproject/protege/wiki/Setup-in-Eclipse

 

But I get stuck right at the start, i.e. when doing:

 

mvn clean package

 

Below the errors I get. I am not sure how to read these messages.

Please also note that I have installed protégé, maven and eclipse all under my home directory, while java is of course in C:\Program Files\Java\jdk1.8.0_92\

 

 

 

C:\Users\jos.lehmann\protege>mvn clean package

[INFO] Scanning for projects...

Downloading: https://repo.maven.apache.org/maven2/org/apache/felix/maven-bundle-

plugin/2.4.0/maven-bundle-plugin-2.4.0.pom

[ERROR] [ERROR] Some problems were encountered while processing the POMs:

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unknown

-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, column

13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core:[un

known-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, line 1

4, column 13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line 14,

column 16

@

[ERROR] The build could not read 3 projects -> [Help 1]

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-common:5.0.1-SNAPSHOT (C:\Use

rs\jos.lehmann\protege\protege-common\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, col

umn 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-core:5.0.1-SNAPSHOT (C

:\Users\jos.lehmann\protege\protege-editor-core\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core

:[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, li

ne 14, column 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-owl:5.0.1-SNAPSHOT (C:

\Users\jos.lehmann\protege\protege-editor-owl\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:

[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line

14, column 16

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit

ch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please rea

d the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildin

gException

[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/PluginManagerE

xception

 

C:\Users\jos.lehmann\protege>

 

 

 

Thank you in advance for the feedback.

 

Kind regards,

 

Jos Lehmann

 

 

Jos Lehmann

Knowledge Management

 

Bauhaus Luftfahrt e.V.

GERMANY

 

Web:    www.bauhaus-luftfahrt.net

 

Beschreibung: Beschreibung: Beschreibung: Beschreibung: cid:image006.png@01D02F14.A6ACFAB0

 

Confidential & Privileged

THIS MESSAGE IS INTENDED ONLY FOR THE USE OF THE INDIVIDUAL OR ENTITY TO WHICH IT IS ADDRESSED AND MAY CONTAIN INFORMATION THAT IS PRIVILEGED, CONFIDENTIAL AND EXEMPT FROM DISCLOSURE UNDER APPLICABLE LAW. IF YOU ARE NOT THE INTENDED RECIPIENT OR THE EMPLOYEE OR AGENT RESPONSIBLE FOR DELIVERING THE MESSAGE TO THE INTENDED RECIPIENT, YOU ARE HEREBY NOTIFIED THAT ANY DISSEMINATION, DISTRIBUTION, OR COPYING OF THIS COMMUNICATION IS STRICTLY PROHIBITED. IF YOU HAVE RECEIVED THIS COMMUNICATION IN ERROR, PLEASE NOTIFY US IMMEDIATELY BY RETURNING THIS MESSAGE TO US AT THE ABOVE ADDRESS, AFTER WHICH THE ORIGINAL SHOULD BE REMOVED FROM YOUR SYSTEM AND ANY COPIES DESTROYED. THANK YOU.

 

 


_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev

Configuration Protege in Eclipse.docx (288K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problems building protégé

Jos Lehmann-2
In reply to this post by Josef Hardi

Joseph, Mintcho

 

Thank you for your replies. I tried to work around the Firewall with what described in (1) in J’s email but it did not work for me. (2) did nor work as I could not create a cer file from either IE or FF. Mintcho’s suggestion gave the same problem, but from within Eclipse.

 

An alternative would be to shut down the Firewall during the build. Question: as far as you can tell would I have to shut down the Firewall every time I build or just the first time? Are the maven plugins downloaded only once or at every build?

 

Thanks, Jos.

 

 

 

Von: protege-dev [mailto:[hidden email]] Im Auftrag von Josef Hardi
Gesendet: Mittwoch, 24. August 2016 19:19
An: Developer support for WebProtege and Protege Desktop
Betreff: Re: [protege-dev] Problems building protégé

 

Hi Jos,

 

 

tl;dr Your JDK doesn’t recognize the SSL certificate used by the Maven HTTPS repository (https://repo.maven.apache.org/maven2/).

There are 2 solutions in the discussion thread: (1) use the HTTP repo version or (2) download and use Maven SSL certificate when

executing mvn clean package.

 

Best,

Josef

 

 

On Aug 24, 2016, at 1:00 AM, Jos Lehmann <[hidden email]> wrote:

 

Hi protege-dev,

 

I would like to build protégé in eclipse as described in:

 

 

But I get stuck right at the start, i.e. when doing:

 

mvn clean package

 

Below the errors I get. I am not sure how to read these messages.

Please also note that I have installed protégé, maven and eclipse all under my home directory, while java is of course in C:\Program Files\Java\jdk1.8.0_92\

 

 

 

C:\Users\jos.lehmann\protege>mvn clean package

[INFO] Scanning for projects...

plugin/2.4.0/maven-bundle-plugin-2.4.0.pom

[ERROR] [ERROR] Some problems were encountered while processing the POMs:

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unknown

-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, column

13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core:[un

known-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, line 1

4, column 13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line 14,

column 16

@

[ERROR] The build could not read 3 projects -> [Help 1]

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-common:5.0.1-SNAPSHOT (C:\Use

rs\jos.lehmann\protege\protege-common\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, col

umn 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-core:5.0.1-SNAPSHOT (C

:\Users\jos.lehmann\protege\protege-editor-core\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core

:[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, li

ne 14, column 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-owl:5.0.1-SNAPSHOT (C:

\Users\jos.lehmann\protege\protege-editor-owl\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:

[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line

14, column 16

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit

ch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please rea

d the following articles:

gException

xception

 

C:\Users\jos.lehmann\protege>

 

 

 

Thank you in advance for the feedback.

 

Kind regards,

 

Jos Lehmann

 

 

Jos Lehmann

Knowledge Management

 

Bauhaus Luftfahrt e.V.

GERMANY

 

 

<image001.png>

 

Confidential & Privileged

THIS MESSAGE IS INTENDED ONLY FOR THE USE OF THE INDIVIDUAL OR ENTITY TO WHICH IT IS ADDRESSED AND MAY CONTAIN INFORMATION THAT IS PRIVILEGED, CONFIDENTIAL AND EXEMPT FROM DISCLOSURE UNDER APPLICABLE LAW. IF YOU ARE NOT THE INTENDED RECIPIENT OR THE EMPLOYEE OR AGENT RESPONSIBLE FOR DELIVERING THE MESSAGE TO THE INTENDED RECIPIENT, YOU ARE HEREBY NOTIFIED THAT ANY DISSEMINATION, DISTRIBUTION, OR COPYING OF THIS COMMUNICATION IS STRICTLY PROHIBITED. IF YOU HAVE RECEIVED THIS COMMUNICATION IN ERROR, PLEASE NOTIFY US IMMEDIATELY BY RETURNING THIS MESSAGE TO US AT THE ABOVE ADDRESS, AFTER WHICH THE ORIGINAL SHOULD BE REMOVED FROM YOUR SYSTEM AND ANY COPIES DESTROYED. THANK YOU.

 

 

_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev

 


_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev
Reply | Threaded
Open this post in threaded view
|

Re: Problems building protégé

Jos Lehmann-2

Hi there

 

I have finally managed to build Protégé in Eclipse by letting the Firewall be shut down. Everything seems to have worked according to the instructions on https://github.com/protegeproject/protege/wiki/Setup-in-Eclipse

 

A couple of questions:

 

·         The package explorer icons in my installation look as in 1.jpg. In the installation instructions they look as in 2.jpg. (note extra database icon). Why? Should I do something about it?

·         I have downloaded all available reasoners, but I found no Hermit, although this still is the default reasoner in the distribution on http://protege.stanford.edu/products.php#desktop-protege . Correct?

 

Thanks, Jos

 

 

Von: protege-dev [mailto:[hidden email]] Im Auftrag von Jos Lehmann
Gesendet: Montag, 29. August 2016 16:25
An: Developer support for WebProtege and Protege Desktop
Betreff: Re: [protege-dev] Problems building protégé

 

Joseph, Mintcho

 

Thank you for your replies. I tried to work around the Firewall with what described in (1) in J’s email but it did not work for me. (2) did nor work as I could not create a cer file from either IE or FF. Mintcho’s suggestion gave the same problem, but from within Eclipse.

 

An alternative would be to shut down the Firewall during the build. Question: as far as you can tell would I have to shut down the Firewall every time I build or just the first time? Are the maven plugins downloaded only once or at every build?

 

Thanks, Jos.

 

 

 

Von: protege-dev [mailto:[hidden email]] Im Auftrag von Josef Hardi
Gesendet: Mittwoch, 24. August 2016 19:19
An: Developer support for WebProtege and Protege Desktop
Betreff: Re: [protege-dev] Problems building protégé

 

Hi Jos,

 

 

tl;dr Your JDK doesn’t recognize the SSL certificate used by the Maven HTTPS repository (https://repo.maven.apache.org/maven2/).

There are 2 solutions in the discussion thread: (1) use the HTTP repo version or (2) download and use Maven SSL certificate when

executing mvn clean package.

 

Best,

Josef

 

 

On Aug 24, 2016, at 1:00 AM, Jos Lehmann <[hidden email]> wrote:

 

Hi protege-dev,

 

I would like to build protégé in eclipse as described in:

 

 

But I get stuck right at the start, i.e. when doing:

 

mvn clean package

 

Below the errors I get. I am not sure how to read these messages.

Please also note that I have installed protégé, maven and eclipse all under my home directory, while java is of course in C:\Program Files\Java\jdk1.8.0_92\

 

 

 

C:\Users\jos.lehmann\protege>mvn clean package

[INFO] Scanning for projects...

plugin/2.4.0/maven-bundle-plugin-2.4.0.pom

[ERROR] [ERROR] Some problems were encountered while processing the POMs:

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unknown

-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, column

13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core:[un

known-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, line 1

4, column 13

[ERROR] Unresolveable build extension: Plugin org.apache.felix:maven-bundle-plug

in:2.4.0 or one of its dependencies could not be resolved: Failed to read artifa

ct descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0 @

[ERROR] Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line 14,

column 16

@

[ERROR] The build could not read 3 projects -> [Help 1]

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-common:5.0.1-SNAPSHOT (C:\Use

rs\jos.lehmann\protege\protege-common\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-common:[unk

nown-version], C:\Users\jos.lehmann\protege\protege-common\pom.xml, line 14, col

umn 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-core:5.0.1-SNAPSHOT (C

:\Users\jos.lehmann\protege\protege-editor-core\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-core

:[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-core\pom.xml, li

ne 14, column 13

[ERROR]

[ERROR]   The project edu.stanford.protege:protege-editor-owl:5.0.1-SNAPSHOT (C:

\Users\jos.lehmann\protege\protege-editor-owl\pom.xml) has 2 errors

[ERROR]     Unresolveable build extension: Plugin org.apache.felix:maven-bundle-

plugin:2.4.0 or one of its dependencies could not be resolved: Failed to read ar

tifact descriptor for org.apache.felix:maven-bundle-plugin:jar:2.4.0: Could not

transfer artifact org.apache.felix:maven-bundle-plugin:pom:2.4.0 from/to central

(https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorExcepti

on: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilder

Exception: unable to find valid certification path to requested target -> [Help

2]

[ERROR]     Unknown packaging: bundle @ edu.stanford.protege:protege-editor-owl:

[unknown-version], C:\Users\jos.lehmann\protege\protege-editor-owl\pom.xml, line

14, column 16

[ERROR]

[ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit

ch.

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR]

[ERROR] For more information about the errors and possible solutions, please rea

d the following articles:

gException

xception

 

C:\Users\jos.lehmann\protege>

 

 

 

Thank you in advance for the feedback.

 

Kind regards,

 

Jos Lehmann

 

 

Jos Lehmann

Knowledge Management

 

Bauhaus Luftfahrt e.V.

GERMANY

 

 

<image001.png>

 

Confidential & Privileged

THIS MESSAGE IS INTENDED ONLY FOR THE USE OF THE INDIVIDUAL OR ENTITY TO WHICH IT IS ADDRESSED AND MAY CONTAIN INFORMATION THAT IS PRIVILEGED, CONFIDENTIAL AND EXEMPT FROM DISCLOSURE UNDER APPLICABLE LAW. IF YOU ARE NOT THE INTENDED RECIPIENT OR THE EMPLOYEE OR AGENT RESPONSIBLE FOR DELIVERING THE MESSAGE TO THE INTENDED RECIPIENT, YOU ARE HEREBY NOTIFIED THAT ANY DISSEMINATION, DISTRIBUTION, OR COPYING OF THIS COMMUNICATION IS STRICTLY PROHIBITED. IF YOU HAVE RECEIVED THIS COMMUNICATION IN ERROR, PLEASE NOTIFY US IMMEDIATELY BY RETURNING THIS MESSAGE TO US AT THE ABOVE ADDRESS, AFTER WHICH THE ORIGINAL SHOULD BE REMOVED FROM YOUR SYSTEM AND ANY COPIES DESTROYED. THANK YOU.

 

 

_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev

 


_______________________________________________
protege-dev mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-dev

1.JPG (21K) Download Attachment
2.JPG (33K) Download Attachment